7 Replies Latest reply on Sep 21, 2015 5:27 AM by digualada

    Error updating Deep Command

    digualada

      Hi,

       

      I am trying to update Deep Command 2.3 _Extension, but I'm getting a extrange error. I get the same error from "Software Management" or "extensions". The error is the following:

       

      6/08/15 14:23:16  Iniciada: Incorporar componentes 

      6/08/15 14:23:16  Downloading the following component: 

      6/08/15 14:23:16  McAfee ePO Deep Command Discovery and Reporting Extension (type EXTENSION) - filename=EPOAMTReports_3662.zip 

      6/08/15 14:23:17  Downloading file C:\PROGRA~2\McAfee\EPOLIC~1\DB\SoftwareManager\1292\2.3\EPOAMTReports_3662.zip.  

      6/08/15 14:23:21  Successfully downloaded file C:\PROGRA~2\McAfee\EPOLIC~1\DB\SoftwareManager\1292\2.3\EPOAMTReports_3662.zip.  

      6/08/15 14:23:21  Checking in extension 'McAfee ePO Deep Command Discovery and Reporting Extension'. 

      6/08/15 14:23:24  Command Failed: Installation error: upgrade: [echo] from2.1: true [echo] from2.2: ${from2.2} [echo] from2.3: ${from2.3} [echo] previous version is 2.1 -- Performing upgrade init-strings: [execute-sql] [execute-sql] [execute-sql] define-queries-2.1: register-queries-2.1: BUILD FAILED C:\PROGRA~2\McAfee\EPOLIC~1\server\extensions\installed\EPOAMTReports\2.3.0.376 \install.xml:160: The following error occurred while executing this line: C:\Program Files (x86)\McAfee\ePolicy Orchestrator\Server\extensions\installed\EPOAMTReports\2.3.0.376\install.xml:73 1: Failed to find the  referenced by groupRef [amt.queryGroup]. Did you misspell the groupRef? Or did you forget to install a  with this id? Total time: 2 seconds . 

      6/08/15 14:23:24  Failed to check in extension 'McAfee ePO Deep Command Discovery and Reporting Extension'. 

      6/08/15 14:23:24  Finalizada: Incorporar componentes (The component(s) failed to check in.) 

       

      If I try to uninstall previous version of the extension, I get a common error, with no information "A erros has ocurred during uninstall".

       

      Any idea in order to update Deep Command?

       

      Thanks a lot,

      David

        • 1. Re: Error updating Deep Command
          digualada

          Can anyone help me, please?

           

          David

          • 2. Re: Error updating Deep Command
            cpromen

            Did you get any help with this?  I am having the exact same issue.

             

            I am running ePO 5.1.1 and I am trying to upgrade the Deep Discovery and Reporting extension from 2.1.0.377 to 2.3.0.376.

            • 3. Re: Error updating Deep Command
              digualada

              Hi cpromen,

               

              No, I still have the problem I haven't get any information about this issue. I'm sorry.

              Please, if you can solve the problem, post here the solution. I'll post it if I find it.

               

              Thanks and good luck,

              David

              • 4. Re: Error updating Deep Command
                cpromen

                I opened a support case and will let you know what the outcome is. Do you also

                have McAfee Drive Encryption extensions installed? If so what version?

                • 5. Re: Error updating Deep Command
                  digualada

                  Hi cpromen,

                   

                  No, I have installed McAfee FRP 4.3 and McAfee DLP 9.4

                  • 6. Re: Error updating Deep Command
                    cpromen

                    Interesting. I also have those installed.

                     

                    I was able to get the Deep Command extensions installed with the help of support.  I had to remove the Drive Encryption Out of Band Management extension first which has a dependency on AMTReports, but you will not have to do that if you do not have Drive Encryption extensions installed. If you are using Drive Encryption and the Out of Band Management piece you cannot just remove the extension like I did or it will break.  We are not using the Out of Band Management piece at this point in time so I was able to remove it without causing any harm.

                     

                    First I had to edit the xml file for amtrpt located here:  C:\Program Files (x86)\McAfee\ePolicy Orchestrator\Server\conf\Catalina\localhost.  I changed the 2.3.0.376 back to 2.1.0.377 and restarted the ePO services.  This put everything back to a working state and got rid of the AMTReports extension errors.

                     

                    Then in order to upgrade Deep Command to version 2.3.0.376 I did the following:


                    1.  Removed Drive Encryption Out of Band Management extension 7.1.3.547

                    2.  Removed Deep command management framework extension 2.1.0.377

                    3.  Removed Deep Command Discovery and Reporting extension 2.1.0.377

                    4.  Installed Deep Command Disvoery and Reporting extension 2.3.0.376

                    5.  Installed Deep Command Mangement Framework 2.3.0.376

                    6.  Installed Drive Encryption Out of Band Management extension 7.1.3.547


                    Hope this helps.

                    • 7. Re: Error updating Deep Command
                      digualada

                      Thank yopu very much cpromen.

                       

                      I'll try your solution. I hope it works.

                       

                      Regards